

drivers/ide/ide-disk.c: In function `idedisk_init':
drivers/ide/ide-disk.c:1901: warning: assignment from incompatible pointer type



---

 25-akpm/drivers/ide/ide-disk.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

diff -puN drivers/ide/ide-disk.c~force-ide-cache-flush-on-shutdown-flush-fix drivers/ide/ide-disk.c
--- 25/drivers/ide/ide-disk.c~force-ide-cache-flush-on-shutdown-flush-fix	2004-05-08 13:14:45.039693648 -0700
+++ 25-akpm/drivers/ide/ide-disk.c	2004-05-08 13:14:45.046692584 -0700
@@ -1835,20 +1835,21 @@ static int idedisk_revalidate_disk(struc
 	return 0;
 }
 
-static int ide_drive_shutdown(struct device * dev)
+static void ide_drive_shutdown(struct device * dev)
 {
 	ide_drive_t * drive = container_of(dev,ide_drive_t,gendev);
 
 	/* safety checks */
 	if (!drive->present)
-		return 0;
+		return;
 	if (drive->media != ide_disk)
-		return 0;
+		return;
 	printk("Flushing cache: %s \n", drive->name);
 	ide_cacheflush_p(drive);
-	/* give the hardware time to finish; it may return prematurely to cheat */
+	/*
+	 * give the hardware time to finish; it may return prematurely to cheat
+	 */
 	mdelay(300);
-	return 0;
 }
 
 

_
